Name:           xmlgraphics-commons
Version:        1.4
Release:        %mkrel 7
Epoch:          0
Summary:        XML Graphics Commons

Group:          Development/Java
License:        ASL 2.0
URL:            http://xmlgraphics.apache.org/
Source0:        http://apache.skknet.net/xmlgraphics/commons/source/%{name}-%{version}-src.tar.gz
Patch0:         %{name}-java-7-fix.patch

BuildArch:      noarch
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  apache-commons-io >= 0:1.1
BuildRequires:  apache-commons-logging >= 0:1.0.4
Requires:       apache-commons-logging >= 0:1.0.4
Requires:       apache-commons-io >= 0:1.1
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
Apache XML Graphics Commons is a library that consists of
several reusable components used by Apache Batik and
Apache FOP. Many of these components can easily be used
separately outside the domains of SVG and XSL-FO. You will
find components such as a PDF library, an RTF library,
Graphics2D implementations that let you generate PDF &
PostScript files, and much more.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description    javadoc
%{summary}.


%prep
%setup -q %{name}-%{version}
rm -f `find . -name "*.jar"`
%patch0

# create pom from template
sed "s:@version@:%{version}:g" %{name}-pom-template.pom \
    > %{name}.pom


%build
export CLASSPATH=$(build-classpath commons-logging)
export OPT_JAR_LIST="ant/ant-junit junit"
pushd lib
ln -sf $(build-classpath commons-io) .
popd
ant package javadocs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -Dpm 0644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 %{name}.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.apache.xmlgraphics %{name} %{version} JPP %{name}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE NOTICE README
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/*.jar

%files javadoc
%doc LICENSE NOTICE
%doc %{_javadocdir}/%{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0:1.4-7.mga3
+ Revision: 387183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 0:1.4-6.mga3
+ Revision: 341067
- Fix build with java7

* Thu Nov 10 2011 dmorgan <dmorgan> 0:1.4-5.mga2
+ Revision: 166266
- Install maven metadata
- Versionless jars & javadocs
- Fixes according to new guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.4-4.mga1
+ Revision: 93155
- Rebuild after bootstrapping
- imported package xmlgraphics-commons

